%define anolis_release 1

Name:		perl-Params-Check
Epoch:		1
Version:	0.38
Release:	%{anolis_release}%{?dist}
Summary:	Generic input parsing/checking mechanism

License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Params-Check
Source0:	https://cpan.metacpan.org/modules/by-module/Params/Params-Check-%{version}.tar.gz
	
BuildArch:      noarch
BuildRequires:	coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(vars)
# Test
BuildRequires:  perl(constant)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is a generic input parsing/checking mechanism. It allows you to
validate input via a template. The only requirement is that the arguments
must be named.

%prep
%autosetup -n Params-Check-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install	
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} -c $RPM_BUILD_ROOT

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/Params/
%{_mandir}/man3/Params::Check.3*

%changelog
* Wed Apr 20 2022 happy_orange <songnannan@linux.alibaba.com> - 1:0.38-1
- Init package from upstream
